summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: d2b3691)
raw | patch | inline | side by side (parent: d2b3691)
author | Lea Wiemann <lewiemann@gmail.com> | |
Sat, 31 May 2008 21:11:21 +0000 (23:11 +0200) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sun, 1 Jun 2008 01:32:17 +0000 (18:32 -0700) |
Without this, some tests will fail because they compare command output
of subprocesses (such as git) with $PWD -- but subprocesses have the
physical path as their working directory, whereas $PWD contains the
symlinked path. This fixes it.
Signed-off-by: Lea Wiemann <LeWiemann@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
of subprocesses (such as git) with $PWD -- but subprocesses have the
physical path as their working directory, whereas $PWD contains the
symlinked path. This fixes it.
Signed-off-by: Lea Wiemann <LeWiemann@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 3bf570b068dd56c802e7bdcef0384aa8e1209985..7a8bd27abc79a43a9248c3bcee8d6a3670e30fe3 100644 (file)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
}
test_create_repo "$test"
-cd "$test" || exit 1
+# Use -P to resolve symlinks in our working directory so that the cwd
+# in subprocesses like git equals our $PWD (for pathname comparisons).
+cd -P "$test" || exit 1
this_test=$(expr "./$0" : '.*/\(t[0-9]*\)-[^/]*$')
for skp in $GIT_SKIP_TESTS